CALIBRE-SMTP(1)

NAME
calibre-smtp - calibre-smtp

            calibre-smtp [options] [from to text]

Send mail using the SMTP protocol. calibre-smtp has two modes of operation. In the compose mode you specify from to and text and these are used to build and send an email message. In the filter mode, calibre-smtp reads a complete email message from STDIN and sends it.

text is the body of the email message. If text is not specified, a complete email message is read from STDIN. from is the email address of the sender and to is the email address of the recipient. When a complete email is read from STDIN, from and to are only used in the SMTP negotiation, the message headers are not modified.

Sempre que passeu arguments a calibre-smtp i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

[OPCIONS]

    --fork, -f
        Fork and deliver message in background. If you use this option, you should also use --outbox to handle delivery failures.

    --help, -h
        mostra aquest missatge d'ajuda i surt

    --localhost, -l
        Host name of localhost. Used when connecting to SMTP server.

    --outbox, -o
        Path to maildir folder to store failed email messages in.

    --timeout, -t
        Temps d'expiració per a la connexió

    --verbose, -v
        Mostra en més detall

    --version
        mostra el número de versió del programa i surt

  COMPOSE MAIL

Options to compose an email. Ignored if text is not specified

    --attachment, -a
        Fitxer a adjuntar al correu electrònic

    --subject, -s
        Assumpte del correu electrònic

  SMTP RELAY

Opcions per utilitzar un servidor de retransmissió SMTP per enviar correu. calibre intentarà enviar directament el correu electrònic, llevat que s'especifiqui --relay.

    --cafile
        Path to a file of concatenated CA certificates in PEM format, used to verify the server certificate when using TLS. By default, the system CA certificates are used.

    --dont-verify-server-certificate
        Do not verify the server certificate when connecting using TLS. This used to be the default behavior in calibre versions before 3.27. If you are using a relay with a self-signed or otherwise invalid certificate, you can use this option to restore the pre 3.27 behavior

    --encryption-method, -e
        El mètode de xifrat a utilitzar quan es connecta al retransmissor. Les opcions són TLS, SSL i NONE. El valor per defecte és TLS. AVÍS: Escollir NONE és molt insegur

    --password, -p
        Contrasenya per a la retransmissió

    --port
        Port per connectar al servidor de retransmissió. El valor per defecte és utilitzar el port 465 si el mètode de xifrat és SSL i 25 altrament.

    --relay, -r
        Un servidor de retransmissió SMTP per utilitzar per enviar correus electrònics.

    --username, -u
        Nom d'usuari per a la retransmissió

Author
Kovid Goyal

Copyright
Kovid Goyal